let
  pkgs = import ./nix/pkgs.nix {};
  settings = import ./nix/settings.nix;
  haskellDeps = import ./nix/haskell-deps.nix;

  haskellPackages = pkgs.haskell.packages."${settings.ghc}";

  utoy =
    { mkDerivation }:
    mkDerivation {
      version = "0.1.0.0";
      pname = "utoy";
      license = pkgs.lib.licenses.mit;
      src = ./.;

      libraryHaskellDepends = haskellDeps haskellPackages;
    };
in
  pkgs.haskell.lib.justStaticExecutables
    (haskellPackages.callPackage utoy {})
